<?php

/**
 * @file
 * Install Profile for DrupalBin - http://drupalbin.com 
 */
 
/**
 * Return an array of the modules to be enabled when this profile is installed.
 *
 * @return
 *  An array of modules to be enabled.
 */
function drupalbin_profile_modules() {
  return array(
    // DrupalBin
    //'drupalbin', 

    // Core - optional
    'color', 'help', 'menu', 'path', 'search', 'taxonomy',

    // Core - required
    'block', 'filter', 'node', 'system', 'user', 'watchdog',

    // GeSHi Filter
    'geshifilter', 'geshinode',
    
    // Views
    'views', 'views_ui', 'views_rss',
    
    // Other
    'token', 'pathauto', 'auto_nodetitle', 'clone',
  );
}

/**
 * Return a description of the profile for the initial installation screen.
 *
 * @return
 *   An array with keys 'name' and 'description' describing this profile.
 */
function drupalbin_profile_details() {
  return array(
    'name' => 'DrupalBin',
    'description' => 'Tool to collaborate and debug code snippets.'
  );
}

/**
 * Perform any final installation tasks for this profile.
 *
 * @return
 *   An optional HTML string to display to the user on the final installation
 *   screen.
 */
function drupalbin_profile_final() {
  // Site information
  variable_set('site_name', 'DrupalBin');
  variable_set('site_mission', 'Welcome to <strong>DrupalBin</strong>, the tool to collaborate and debug code snippets.');
  variable_set('site_frontpage', 'node/add/geshinode');
  
  // Node Types
  db_query("INSERT INTO {node_type} SET type = '%s', name = '%s', module = '%s', description = '%s', has_title = %d, title_label = '%s', has_body = %d, body_label = '%s', modified = %d, locked = %d, orig_type = '%s'",
    'geshinode', 'Code', 'geshinode', 'Paste a code snippet.', 1, 'Name', 1, 'Source code', 1, 1, 'geshinode');
  
  // Menus
  $item = array();
  $item['pid'] = 2; // Primary items
  $item['path'] = 'node/add/geshinode';
  $item['title'] = 'Submit Code';
  $item['description'] = 'Paste a code snippet.';
  $item['weight'] = -6;
  $item['type'] = 118;
  menu_save_item($item); 
  
  // Permissions
  db_query("UPDATE {permission} SET perm = '%s' WHERE rid = %d",
    'create source code node, access content, clone node, search content', 1);
  db_query("UPDATE {permission} SET perm = '%s' WHERE rid = %d",
    'create source code node, edit own source code node, access content, clone node, search content', 2);
  
  // Taxonomy
  $tags = array(
    'name' => 'Tags',
    'help' => 'Any tags you would like to associate with your code, delimitered by commas (example: Views, CCK, Module, etc).',
    'relations' => '0',
    'hierarchy' => '1',
    'multiple' => '0',
    'required' => '0',
    'tags' => '1',
    'module' => 'taxonomy',
    'weight' => '0',
    'nodes' => array('geshinode' => 'geshinode')
  );
  taxonomy_save_vocabulary($tags);
  
  // PathAuto
  variable_set('pathauto_node_geshinode_pattern', '[nid]');
  
  // Automatic Node Titles
  variable_set('ant_geshinode', '2');
  variable_set('ant_pattern_geshinode', 'Code');
}
